%define dist Authen-SASL
Name: perl-%dist
Version: 2.11
Release: alt1

Summary: SASL authentication framework for Perl
License: GPL or Artistic
Group: Development/Perl

URL: %CPAN %dist
Source: %dist-%version.tar
Patch: %name-%version-%release.patch

BuildArch: noarch

# not yet
%add_findreq_skiplist */GSSAPI.pm

# Automatically added by buildreq on Thu Apr 24 2008
BuildRequires: perl-Digest-HMAC perl-Module-Install

%description
SASL is the Simple Authentication and Security Layer (RFC 2222), a
method for adding authentication support to connection-based protocols.
To use SASL, a protocol includes a command for identifying and
authenticating a user to a server and for optionally negotiating
protection of subsequent protocol interactions.  If its use is
negotiated, a security layer is inserted between the protocol and the
connection.

%prep
%setup -q -n %dist-%version
%patch -p1
rm -rv inc/

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc	api.txt Changes example_pl
%dir	%perl_vendor_privlib/Authen
	%perl_vendor_privlib/Authen/SASL.pm
%doc	%perl_vendor_privlib/Authen/SASL.pod
%dir	%perl_vendor_privlib/Authen/SASL
	%perl_vendor_privlib/Authen/SASL/*.pm
%doc	%perl_vendor_privlib/Authen/SASL/Perl.pod
%dir	%perl_vendor_privlib/Authen/SASL/Perl
	%perl_vendor_privlib/Authen/SASL/Perl/*.pm

%changelog
* Thu Apr 24 2008 Alexey Tourbin <at@altlinux.ru> 2.11-alt1
- 2.09 -> 2.11

* Wed Apr 27 2005 Alexey Tourbin <at@altlinux.ru> 2.09-alt1
- 2.08 -> 2.09
- built against system Test::More (removed inc/Test)
- manual pages not packaged (use perldoc)

* Sat Feb 19 2005 ALT QA Team Robot <qa-robot@altlinux.org> 2.08-alt1.1
- Rebuilt with rpm-build-perl-0.5.1.

* Mon Aug 09 2004 Alexey Tourbin <at@altlinux.ru> 2.08-alt1
- 2.07 -> 2.08

* Thu Apr 15 2004 Alexey Tourbin <at@altlinux.ru> 2.07-alt1
- 2.05 -> 2.07

* Tue Oct 28 2003 Alexey Tourbin <at@altlinux.ru> 2.05-alt1
- 2.05

* Thu Sep 04 2003 Alexey Tourbin <at@altlinux.ru> 2.04-alt1
- 2.04
- buildreq re-applied (fixes build in the hasher)
- descriptions updated

* Wed Mar 19 2003 Stanislav Ievlev <inger@altlinux.ru> 2.03-alt1
- 2.03

* Thu Oct 31 2002 Stanislav Ievlev <inger@altlinux.ru> 2.02-alt1
- Inital Build for ALT
